org.springframework.data.repository.core.support

## Interface RepositoryProxyPostProcessor

All Known Implementing Classes:
  EventPublishingRepositoryProxyPostProcessor, PersistenceExceptionTranslationRepositoryProxyPostProcessor

    public interface RepositoryProxyPostProcessor

Callback interface used during repository proxy creation. Allows manipulating the `ProxyFactory` creating the repository.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `postProcess(ProxyFactory factory, RepositoryInformation repositoryInformation)` Manipulates the `ProxyFactory`, e.g. add further interceptors to it.

### Method Detail

#### postProcess

    void postProcess(ProxyFactory factory,
                     RepositoryInformation repositoryInformation)

Manipulates the `ProxyFactory`, e.g. add further interceptors to it.

Parameters:
  `factory` - will never be null.
  `repositoryInformation` - will never be null.